Get aggregate estimates for a period
curl --request GET \
--url https://api.zenskar.com/aggregates/estimates \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/aggregates/estimates"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/aggregates/estimates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"aggregate_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"value": {
"fields": [
{
"quantity": 123,
"dimension": "<string>"
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Billable Metrics
Get aggregate estimates for a period
Get estimates for a specific aggregate and customer within a date range.
GET
/
aggregates
/
estimates
Get aggregate estimates for a period
Authorizations
Query Parameters
Response
Successful Response
- AggregateEstimateResponseSchema · object
- AggregateEstimateResponseSchema · object[]
UUID of the estimate
UUID of the organisation
UUID of the aggregate
UUID of the customer
Start date of the estimate
End date of the estimate
Value of the estimate
Show child attributes
Show child attributes
Creation timestamp of the estimate
Deletion timestamp of the estimate
Deletion timestamp of the estimate